/*jslint node: true */
'use strict';

/*
* Copyright 2014 the original author or authors
* @license MIT, see LICENSE for details
*
* @author Artem Abashev
*/

var dateTimeReviver = function (key, value) {
  var a;
  if(typeof value === 'string') {
    a = /\/Date\((-?\d*)(\+(\d+))?\)\//.exec(value);
    if(a) {
      return new Date(+a[1]);
    }
  }
  return value;
};

module.exports = {
	read: function (str) {
		return JSON.parse(str, dateTimeReviver);
	},
	write: function (obj) {
		return JSON.stringify(obj);
	}
};
