/*jslint node: true */
'use strict';

/*
 * Copyright 2014 the original author or authors
 * @license MIT, see LICENSE for details
 *
 * @author Artem Abashev
 */

var TouchApiClient = require('./abstract.js');

var UploadClient = function(config, tokenProvider) {  
  TouchApiClient.call(this, config, tokenProvider);
  this._config.path = '/upload/';
};

UploadClient.prototype = Object.create(TouchApiClient.prototype);
UploadClient.prototype.constructor = TouchApiClient;

UploadClient.prototype.uploadTempFile = function(file) {
  return this._upload('temporary', file);
};

UploadClient.prototype.uploadTemp = function(base64Data, mimeType, fileName) {
  var request = {
    data: base64Data,
    mime_type: mimeType || 'application/octet-stream',
    name: fileName || 'file'
  };
  return this._request('temporary/serialized', 'POST', request);
};

UploadClient.prototype.uploadMediaFile = function(file) {
  return this._upload('media', file);
};

module.exports = UploadClient;
